Bug 741418 - CVE-2011-3364 NetworkManager: Console user can escalate to root via newlines in ifcfg-rh connection name [fedora-all]
Summary: CVE-2011-3364 NetworkManager: Console user can escalate to root via newlines ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 15
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2011-3364
TreeView+ depends on / blocked
 
Reported: 2011-09-26 18:37 UTC by Vincent Danen
Modified: 2011-10-08 18:02 UTC (History)
1 user (show)

Fixed In Version: NetworkManager-0.8.5.92-1.git20110927.fc14
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-29 23:30:13 UTC


Attachments (Terms of Use)

Description Vincent Danen 2011-09-26 18:37:29 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=737338

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Fedora Update System 2011-09-27 14:02:26 UTC
NetworkManager-0.8.5.92-1.git20110927.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.5.92-1.git20110927.fc14

Comment 2 Fedora Update System 2011-09-27 14:11:45 UTC
NetworkManager-0.9.1.90-1.git20110927.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.1.90-1.git20110927.fc15

Comment 3 Fedora Update System 2011-09-27 14:16:23 UTC
NetworkManager-0.9.1.90-2.git20110927.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.1.90-2.git20110927.fc16

Comment 4 Fedora Update System 2011-09-27 17:33:32 UTC
Package NetworkManager-0.9.1.90-2.git20110927.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.9.1.90-2.git20110927.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/NetworkManager-0.9.1.90-2.git20110927.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-09-27 19:24:03 UTC
NetworkManager-0.9.1.90-3.git20110927.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.1.90-3.git20110927.fc16

Comment 6 Fedora Update System 2011-09-29 23:29:57 UTC
NetworkManager-0.9.1.90-1.git20110927.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-09-30 19:30:19 UTC
NetworkManager-0.9.1.90-3.git20110927.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-10-08 18:02:21 UTC
NetworkManager-0.8.5.92-1.git20110927.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.